Bug 443402 - Crash after closing file with popup palette open and creating new file
Summary: Crash after closing file with popup palette open and creating new file
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Microsoft Windows Microsoft Windows
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-06 14:45 UTC by Alvin Wong
Modified: 2021-10-07 09:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
backtrace (4.74 KB, text/plain)
2021-10-06 14:45 UTC, Alvin Wong
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alvin Wong 2021-10-06 14:45:41 UTC
Created attachment 142210 [details]
backtrace

1. Create new file
2. Right click on canvas to open popup palette
3. Close file by closing tab/subwindow
4. Create new file
5. Click on canvas
6. Segfault


Windows nightly e1569dee2f
Comment 1 Bug Janitor Service 2021-10-07 09:07:07 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/1082
Comment 2 sh_zam 2021-10-07 09:16:36 UTC
Git commit 626dec9fc1ae02aa7a344014794cd331220d01e9 by Sharaf Zaman.
Committed on 07/10/2021 at 09:16.
Pushed by szaman into branch 'master'.

Crashfix: closing and reopening popup palette

M  +3    -0    libs/ui/kis_popup_palette.cpp
M  +1    -1    libs/ui/kis_popup_palette.h

https://invent.kde.org/graphics/krita/commit/626dec9fc1ae02aa7a344014794cd331220d01e9
Comment 3 sh_zam 2021-10-07 09:18:54 UTC
Git commit 4c9cd69c7e46297dcac4492ba8715a67986387d4 by Sharaf Zaman.
Committed on 07/10/2021 at 09:18.
Pushed by szaman into branch 'krita/5.0'.

Crashfix: closing and reopening popup palette


(cherry picked from commit 626dec9fc1ae02aa7a344014794cd331220d01e9)

M  +3    -0    libs/ui/kis_popup_palette.cpp
M  +1    -1    libs/ui/kis_popup_palette.h

https://invent.kde.org/graphics/krita/commit/4c9cd69c7e46297dcac4492ba8715a67986387d4